## org.apache.portals.bridges.jsf
Class EnumerationIterator

    java.lang.Object
      org.apache.portals.bridges.jsf.EnumerationIterator

All Implemented Interfaces:
  Iterator

public class EnumerationIterator
extends Object
implements Iterator

Code borrowed from myfaces.

Field Summary
`private Enumeration` `enumeration`

Constructor Summary
`EnumerationIterator(Enumeration enumeration)`

Method Summary
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### enumeration

    private Enumeration enumeration

Constructor Detail

### EnumerationIterator

    public EnumerationIterator(Enumeration enumeration)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.